- Creates a new application process record that does not already exist.
This method will auto-generate an ID and create a new application process. If an ID is specified for the application process, an error will be thrown.
The application process that you would like to be saved.
Allow for applicants to update the application while it is under review
The rule set for calculating the expiration of an application submitted by this process
The certification application form
If true, applications in this process are marked approved once requirements are met. Otherwise they are pending approval
If true, this process is available to training providers
Whether or not an email should be sent when the application is received
Whether or not to send an email when the certification is actually activated
If true, users can register for courses while applying for the certification
If true, only certain eligible persons can proceed with this process
If true, users can register for exams while applying for the certification
Only people who are grandfathered into other certification programs may complete this process
The rule set for calculating the expiration of a certification generated by this process
Whether or not to override POC settings
If true, data stored in the certification profile is used as the starting point for the application
Restrict to certain types of organizations
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationProcesses/{tenantId}
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/applicationProcesses/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationProcesses/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"allow_applicants_to_update_in_portal": true,
"applicant_update_options": {
"update_form_id": "string"
},
"application_confirmation_email_options": {
"application_confirmation_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"application_notice_id": "string",
"type": "application notice"
},
"application_expiration_rule_set_id": "string",
"application_form_id": "string",
"automatically_approve_applications_once_requirements_are_met": true,
"available_to_training_providers": true,
"certification_activation_email_options": {
"application_notice_id": "string",
"certification_activation_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"type": "application notice"
},
"checkout_settings": {
"allow_customer_to_choose_installment_plan": true,
"bank_account_id": "string",
"bill_my_organization_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"bill_my_parent_organization_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"business_unit_id": "string",
"cancellation_fee_product_id": "string",
"checkout_donation_options": {
"simple_checkout_donation_options": {
"allow_user_to_specify_custom_amount": true,
"donation_ask_text": "string",
"donation_denominations": [
0.1
],
"donation_information": "string",
"donation_product_id": "string",
"override_donation_denominations": true,
"suggested_donation": 0.1
},
"type": "simple"
},
"credit_card_minimum_range_end": 0.1,
"credit_card_minimum_range_start": 0.1,
"credit_card_mode": "disabled",
"credit_card_processing_fee_mode": "charge",
"credit_card_processing_fee_options": {
"fee_percentage": 0.1,
"maximum_fee": 0.1,
"minimum_fee": 0.1,
"product_id": "string",
"prompt_sub_text": "string",
"prompt_text": "string"
},
"custom_order_preprocessing_options": {
"lambda_function_id": "string"
},
"custom_order_pricing_options": {
"lambda_function_id": "string"
},
"disable_electronic_payment_vaulting": true,
"enable_bill_my_organization": true,
"enable_bill_my_parent_organization": true,
"enable_custom_order_preprocessing": true,
"enable_custom_order_pricing": true,
"enable_donations_at_checkout": true,
"enable_electronic_checks": true,
"enable_pay_later": true,
"enable_payroll_deduction": true,
"enable_split_payments": true,
"installment_plan_options": [
{
"additional_cost": 0.1,
"installment_plan_id": "string",
"is_default": true
}
],
"invoice_payment_terms_id": "string",
"invoice_template_id": "string",
"merchant_account_id": "string",
"pay_later_options": {
"billing_address": "do not show",
"purchase_order_number": "do not show",
"reference_number": "string"
},
"restocking_fee_product_id": "string",
"special_instructions": "string",
"use_pro_forma_invoices": true
},
"contact_form_options": {
"contact_form_id": "string",
"html": "string"
},
"course_registration_options": {
"course_registration_process_id": "string"
},
"customer_type": "contact",
"description": "string",
"display_in_portal": true,
"display_in_portal_as": "string",
"display_order": 0.1,
"eligibility_criteria": {
"advanced_rule_error_message": "string",
"advanced_rules": {},
"age_restrictions": {
"maximum_age": 0.1,
"minimum_age": 0.1
},
"award_options": {
"award_ids": [
"string"
],
"award_type_ids": [
"string"
],
"logic_operator": "and"
},
"award_recipients": true,
"by_location": true,
"certificants": true,
"certification_options": {
"logic_operator": "and",
"program_ids": [
"string"
]
},
"committee_member_options": {
"committee_ids": [
"string"
],
"committee_position_ids": [
"string"
],
"committee_type_ids": [
"string"
],
"logic_operator": "and"
},
"committee_members": true,
"custom_logic_options": {
"lambda_function_id": "string"
},
"customer_type": "contact",
"donor_options": {
"donor_club_ids": [
"string"
],
"logic_operator": "and"
},
"donors": true,
"enable_advanced_rules": true,
"enable_age_restrictions": true,
"enable_custom_logic": true,
"enable_entitlement_restrictions": true,
"enable_expression": true,
"enable_organization_restrictions": true,
"enable_status_restriction": true,
"entitlement_restrictions": [
{
"quantity": 0.1,
"type_id": "string"
}
],
"event_registration_options": {
"event_ids": [
"string"
],
"logic_operator": "and",
"registration_category_ids": [
"string"
]
},
"event_registrations": true,
"expression": "string",
"expression_error_message": "string",
"location": {
"countries": [
"string"
],
"negate_logic": true
},
"logic_operator": "and",
"member_options": {
"chapter_member_options": {
"chapter_ids": [
"string"
],
"chapter_type_ids": [
"string"
],
"logic_operator": "and"
},
"chapter_members": true,
"member_package_ids": [
"string"
],
"member_status_reason_ids": [
"string"
],
"member_statuses": [
"active"
],
"member_type_ids": [
"string"
],
"section_member_options": {
"logic_operator": "and",
"section_ids": [
"string"
],
"section_type_ids": [
"string"
]
},
"section_members": true
},
"members": true,
"non_members": true,
"organization_restrictions": {
"contact_role_ids": [
"string"
],
"organization_type_ids": [
"string"
]
},
"status_restrictions": [
"string"
],
"use_organization_for_eligibility": true
},
"enable_application_confirmation_email": true,
"enable_certification_activation_email": true,
"enable_course_registration": true,
"enable_eligibility_criteria": true,
"enable_exam_registration": true,
"enable_grandfather_restrictions": true,
"exam_registration_options": {
"exam_registration_process_id": "string"
},
"expiration_rule_set_id": "string",
"fee_id": "string",
"grandfather_restrictions": {
"certification_program_ids": [
"string"
],
"invert_logic": true
},
"id": "string",
"is_active": true,
"name": "string",
"organization_form_options": {
"html": "string",
"organization_form_id": "string"
},
"organization_type_ids": [
"string"
],
"override_checkout_settings": true,
"prefill_application_with_profile_information": true,
"program_id": "string",
"reinstatement_options": {
"reinstatement_period": 0.1
},
"renewal_options": {
"renewal_window": 0.1
},
"requirements": [
{
"course_requirements": {
"attendance_required": true,
"course_ids": [
"string"
],
"hide_during_application_process": true,
"time_frame": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
}
},
"credit_requirements": {
"credit_type_id": "string",
"do_not_allow_reuse": true,
"formula": "string",
"number_of_credits": 0.1,
"restrict_certain_activity_types": true,
"restricted_activity_type_ids": [
"string"
],
"type": "calculated"
},
"enable_partial_applicability": true,
"exam_requirements": {
"exam_ids": [
"string"
],
"hide_during_application_process": true,
"time_frame": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
}
},
"expression_requirements": {
"expression": "string"
},
"field_requirements": {
"mapped_field": "string"
},
"id": "string",
"name": "string",
"partial_applicability_options": {
"percentage": 1
},
"portal_explanation": "string",
"reference_requirements": {
"number_of_references": 1,
"reference_process_id": "string",
"reference_type_id": "string"
},
"type": "course",
"weight": 0.1
}
],
"restrict_organization_types": true,
"show_contact_form": true,
"show_organization_form": true,
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"transfer_options": {
"allowed_program_ids": [
"string"
]
},
"type": "certification"
}'The application process was saved successfully.
Allow for applicants to update the application while it is under review
The rule set for calculating the expiration of an application submitted by this process
The certification application form
If true, applications in this process are marked approved once requirements are met. Otherwise they are pending approval
If true, this process is available to training providers
Whether or not an email should be sent when the application is received
Whether or not to send an email when the certification is actually activated
If true, users can register for courses while applying for the certification
If true, only certain eligible persons can proceed with this process
If true, users can register for exams while applying for the certification
Only people who are grandfathered into other certification programs may complete this process
The rule set for calculating the expiration of a certification generated by this process
Whether or not to override POC settings
If true, data stored in the certification profile is used as the starting point for the application
Restrict to certain types of organizations
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "allow_applicants_to_update_in_portal": true, "applicant_update_options": { "update_form_id": "string" }, "application_confirmation_email_options": { "application_confirmation_email": { … }, "application_notice_id": "string", "type": "application notice" }, "application_expiration_rule_set_id": "string", "application_form_id": "string", "automatically_approve_applications_once_requirements_are_met": true, "available_to_training_providers": true, "certification_activation_email_options": { "application_notice_id": "string", "certification_activation_email": { … }, "type": "application notice" }, "checkout_settings": { "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { … }, "bill_my_parent_organization_options": { … }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { … }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { … }, "custom_order_preprocessing_options": { … }, "custom_order_pricing_options": { … }, "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_custom_order_preprocessing": true, "enable_custom_order_pricing": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "installment_plan_options": [ … ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "merchant_account_id": "string", "pay_later_options": { … }, "restocking_fee_product_id": "string", "special_instructions": "string", "use_pro_forma_invoices": true }, "contact_form_options": { "contact_form_id": "string", "html": "string" }, "course_registration_options": { "course_registration_process_id": "string" }, "customer_type": "contact", "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "eligibility_criteria": { "advanced_rule_error_message": "string", "advanced_rules": {}, "age_restrictions": { … }, "award_options": { … }, "award_recipients": true, "by_location": true, "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "custom_logic_options": { … }, "customer_type": "contact", "donor_options": { … }, "donors": true, "enable_advanced_rules": true, "enable_age_restrictions": true, "enable_custom_logic": true, "enable_entitlement_restrictions": true, "enable_expression": true, "enable_organization_restrictions": true, "enable_status_restriction": true, "entitlement_restrictions": [ … ], "event_registration_options": { … }, "event_registrations": true, "expression": "string", "expression_error_message": "string", "location": { … }, "logic_operator": "and", "member_options": { … }, "members": true, "non_members": true, "organization_restrictions": { … }, "status_restrictions": [ … ], "use_organization_for_eligibility": true }, "enable_application_confirmation_email": true, "enable_certification_activation_email": true, "enable_course_registration": true, "enable_eligibility_criteria": true, "enable_exam_registration": true, "enable_grandfather_restrictions": true, "exam_registration_options": { "exam_registration_process_id": "string" }, "expiration_rule_set_id": "string", "fee_id": "string", "grandfather_restrictions": { "certification_program_ids": [ … ], "invert_logic": true }, "id": "string", "is_active": true, "name": "string", "organization_form_options": { "html": "string", "organization_form_id": "string" }, "organization_type_ids": [ "string" ], "override_checkout_settings": true, "prefill_application_with_profile_information": true, "program_id": "string", "reinstatement_options": { "reinstatement_period": 0.1 }, "renewal_options": { "renewal_window": 0.1 }, "requirements": [ { … } ], "restrict_organization_types": true, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "transfer_options": { "allowed_program_ids": [ … ] }, "type": "certification" }